"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Errors_1 = require("../Errors");
const validateCuit = (cuit) => {
    if (!cuit)
        throw new Errors_1.InvalidCuitError();
    if (!Number(cuit))
        throw new Errors_1.InvalidCuitError();
    if (cuit.length !== 11)
        throw new Errors_1.WrongLengthCuitError();
    const multipliers = [5, 4, 3, 2, 7, 6, 5, 4, 3, 2];
    const parsedCuit = cuit.split("").map(n => Number(n));
    const verificationCode = parsedCuit[10];
    let result = 0;
    for (let i = 0; i <= 9; i++)
        result += parsedCuit[i] * multipliers[i];
    result = 11 - (result % 11);
    if (result === 11)
        result = 0;
    if (result === 10)
        result = 9;
    if (result === verificationCode)
        return true;
    throw new Errors_1.InvalidCuitError();
};
exports.validateCuit = validateCuit;
