"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Errors_1 = require("../Errors");
const validateStringLength_1 = require("./validateStringLength");
const validateName = (name) => {
    if (name.length === 0)
        throw new Errors_1.EmptyNameError();
    if (/\d/.test(name))
        throw new Errors_1.NameWithDigitsError();
    if (/\s\s+/g.test(name))
        throw new Errors_1.NameWithMultipleSpaces();
    if (name.includes("\n"))
        throw new Errors_1.NameWithMultipleSpaces();
    validateStringLength_1.validateStringLength(name);
};
exports.validateName = validateName;
