"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Errors_1 = require("../Errors");
const MAX_32_BIT_INTEGER = Math.pow(2, 32) / 2 - 1;
const MIN_32_BIT_INTEGER = -MAX_32_BIT_INTEGER - 1;
const validateNumber = (aNumber) => {
    if (Number.isNaN(aNumber))
        throw new Errors_1.NumberIsNaNError();
    if (aNumber > MAX_32_BIT_INTEGER) {
        throw new Errors_1.NumberIsTooLargeError(MAX_32_BIT_INTEGER, true);
    }
    if (aNumber < MIN_32_BIT_INTEGER) {
        throw new Errors_1.NumberIsTooSmallError(MIN_32_BIT_INTEGER, true);
    }
};
exports.validateNumber = validateNumber;
