"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Validators_1 = require("../Validators");
const Errors_1 = require("../Errors");
const validateNumberGreaterThan = (min, aNumber) => {
    if (min.value === undefined)
        return;
    const isValid = min.include ? aNumber >= min.value : aNumber > min.value;
    if (isValid)
        return;
    throw new Errors_1.NumberIsTooSmallError(min.value, min.include);
};
const validateNumberSmallerThan = (max, aNumber) => {
    if (max.value === undefined)
        return;
    const isValid = max.include ? aNumber <= max.value : aNumber < max.value;
    if (!isValid)
        throw new Errors_1.NumberIsTooLargeError(max.value, max.include);
};
const validateNumberInRange = ({ min, max }) => {
    return (aNumber) => {
        Validators_1.validateNumber(aNumber);
        if (min)
            validateNumberGreaterThan(min, aNumber);
        if (max)
            validateNumberSmallerThan(max, aNumber);
    };
};
exports.validateNumberInRange = validateNumberInRange;
