"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const libphonenumber_js_1 = require("libphonenumber-js");
const Errors_1 = require("../Errors");
const validatePhoneNumberWithCountryCode = ({ phoneNumber, countryCode }) => {
    const parsedPhoneNumber = libphonenumber_js_1.parsePhoneNumberFromString(phoneNumber, countryCode);
    if ((parsedPhoneNumber === null || parsedPhoneNumber === void 0 ? void 0 : parsedPhoneNumber.isPossible()) && parsedPhoneNumber.isValid())
        return;
    throw new Errors_1.InvalidPhoneNumberError();
};
const validatePhoneNumber = (phoneNumber) => {
    if (phoneNumber.match(/[a-z]/i))
        throw new Errors_1.PhoneNumberWithLettersError();
    try {
        validatePhoneNumberWithCountryCode({ phoneNumber });
    }
    catch (error) {
        validatePhoneNumberWithCountryCode({ phoneNumber, countryCode: "AR" });
    }
};
exports.validatePhoneNumber = validatePhoneNumber;
